Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.upgrade
Class UpgradeManagerImpl

    java.lang.Object
      com.atlassian.bamboo.upgrade.UpgradeManagerImpl

All Implemented Interfaces:
  UpgradeManager

    public class UpgradeManagerImpl

extends Object
implements UpgradeManager

Constructor Summary
`UpgradeManagerImpl()`
`UpgradeManagerImpl(String fileName)`
`UpgradeManagerImpl(String newBuildNumber, String fileName)`

Method Summary
`protected void` | `autowireTask(UpgradeTask task)`
`Collection` | `doUpgrade()` Method to fire off the upgrade process
`ApplicationConfig` | `getApplicationConfig()`
`String` | `getBuildNumber()` This gets the pre-build number
`String` | `getFileName()`
`String` | `getNewBuildNumber()`
`protected Document` | `getUpgradeDocument()`
`SortedMap` | `getUpgrades()` Gets a map of upgrade tasks which need to run.
`boolean` | `needUpgrade()` Determines whether we need to run the upgrade or not.
`void` | `populateRelevantUpgrades()`
`void` | `setApplicationConfig(ApplicationConfig applicationConfig)`
`void` | `setBuildNumber(String buildNumber)`
`void` | `setFileName(String fileName)`
`void` | `setNewBuildNumber(String newBuildNumber)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpgradeManagerImpl

    public UpgradeManagerImpl(String newBuildNumber,
                              String fileName)

### UpgradeManagerImpl

    public UpgradeManagerImpl(String fileName)

### UpgradeManagerImpl

    public UpgradeManagerImpl()

Method Detail

### needUpgrade

    public boolean needUpgrade()

  Description copied from interface: `UpgradeManager`
  Determines whether we need to run the upgrade or not.

  Specified by:
    `needUpgrade` in interface `UpgradeManager`
  Returns:
    `boolean` whether the build was successful or not

### doUpgrade

    public Collection doUpgrade()
                         throws Exception

  Description copied from interface: `UpgradeManager`
  Method to fire off the upgrade process

  Specified by:
    `doUpgrade` in interface `UpgradeManager`
  Returns:
    `Collection` a string collection of error messages. Collection not empty denotes error occured on upgrade
  Throws:
    `Exception`

### populateRelevantUpgrades

    public void populateRelevantUpgrades()

### autowireTask

    protected void autowireTask(UpgradeTask task)

### getUpgradeDocument

    protected Document getUpgradeDocument()
                                   throws DocumentException

  Throws:
    `DocumentException`

### getBuildNumber

    public String getBuildNumber()

  Description copied from interface: `UpgradeManager`
  This gets the pre-build number

  Specified by:
    `getBuildNumber` in interface `UpgradeManager`
  Returns:
    the current build number (in application config file)

### setBuildNumber

    public void setBuildNumber(String buildNumber)
                        throws ConfigurationException

  Throws:
    `ConfigurationException`

### getUpgrades

    public SortedMap getUpgrades()

  Description copied from interface: `UpgradeManager`
  Gets a map of upgrade tasks which need to run.

  Specified by:
    `getUpgrades` in interface `UpgradeManager`
  Returns:
    `SortedMap` map of upgrade tasks, keys are the string representations of the build number.

### getNewBuildNumber

    public String getNewBuildNumber()

### setNewBuildNumber

    public void setNewBuildNumber(String newBuildNumber)

### getApplicationConfig

    public ApplicationConfig getApplicationConfig()

### setApplicationConfig

    public void setApplicationConfig(ApplicationConfig applicationConfig)

### getFileName

    public String getFileName()

### setFileName

    public void setFileName(String fileName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.